# Encrypt Wallet to Namespace Key

Procedure for importing an arbitrary secret (raw key, mnemonic, state secrets) into a Namespace.

## Requirements

* [Namespace OpenPGP Certificate]() 

    * It can be on an SD card or accessed online

## Procedure

1. Access machine which has the secret that should be encrypted available

    * If not on a computer, but a hardware wallet or otherwise, perform the steps on a air-gapped machine

1. Load the OpenPGP certificate:

    * `gpg --import <cert.asc>`

1. Encrypt the secret the the public cert:

    * `gpg -k` to list keys and find the fingerprint for the public certificate you are encrypting to

    * `gpg --encrypt <key_id> <secret_file>

1. Once encrypted, add the encrypted file to an `artifacts/` directory in the appropriate namespace subdirectory in the ceremonies repository

